package info.markhillman.SOMColorSorter;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

/**
 * Class:
 * Description:
 * Created by Mark on 19/03/2016.
 */
public class SomDisplayFx extends Application {

    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage primaryStage) throws Exception {

        //Load FXML and set the controller
        FXMLLoader loader = new FXMLLoader(getClass().getResource("Layouts/som_layout.fxml"));
        loader.setController(new SomDisplayControllerFx());
        Parent root = loader.load();

        //Create the window and set main scene
        primaryStage.setTitle("Som Color Sorter");
        primaryStage.setScene(new Scene(root));
        primaryStage.show();
    }
}
